Subject: bug#14250: 23.1; Files locked by myself

From: "Elrod, David" <[email-masked]>
Date: Thu, 20 Jun 2013 15:54:53 +0000

Problem solved!

Thanks Glenn!  I have no idea how the '@' got there in my host name.
That isn't common in host names here, or any other place I've worked.

However, I'm so used to seeing email addresses, I never noticed it.

Thank you,
David

________________________________________
From: Glenn Morris [[email-masked]]
Sent: Wednesday, June 19, 2013 23:47
To: Elrod, David
Cc: [email-masked]
Subject: Re: bug#14250: 23.1; Files locked by myself

"Elrod, David" wrote:

>   M-: (file-locked-p (buffer-file-name))
> returns
>   "elrodd@elroddDesk"
>
>   M-: (system-name)
> returns
>   "[email-masked]"

Thanks!
The problem is the "@" in your system-name.
Can you change it to something without an "@", eg
  elroddDesk.enet.sharplabs.com
?

I don't think an "@" is valid in a hostname, is it?

filelock.c:current_lock_owner assumes that the username is "everything
before the last @"; ie there may in theory be "@" in the username, but
not in the hostname.